List available Helm charts
import requests
url = "https://platform.ankra.app/api/v1/org/stacks/charts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stacks/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stacks/charts \
--header 'Authorization: Bearer <token>'{
"charts": [
{
"chart_id": "550e8400-e29b-41d4-a716-446655440000",
"description": "NGINX web server",
"icon": "https://example.com/icon.png",
"name": "nginx",
"repository_id": "660e8400-e29b-41d4-a716-446655440001",
"repository_name": "bitnami",
"repository_url": "https://charts.bitnami.com/bitnami",
"version": "1.2.3",
"registry_credential_name": "my-registry-creds"
}
],
"pagination": {
"page": 1,
"page_size": 25,
"total_count": 250,
"total_pages": 10
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Charts
List available Helm charts
Lists the Helm charts available to the organisation, from its own registries and the global ones, with each chart’s repository, icon, version and registry credential name. Paginated, with page_size up to 1500.
GET
/
api
/
v1
/
org
/
stacks
/
charts
List available Helm charts
import requests
url = "https://platform.ankra.app/api/v1/org/stacks/charts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stacks/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stacks/charts \
--header 'Authorization: Bearer <token>'{
"charts": [
{
"chart_id": "550e8400-e29b-41d4-a716-446655440000",
"description": "NGINX web server",
"icon": "https://example.com/icon.png",
"name": "nginx",
"repository_id": "660e8400-e29b-41d4-a716-446655440001",
"repository_name": "bitnami",
"repository_url": "https://charts.bitnami.com/bitnami",
"version": "1.2.3",
"registry_credential_name": "my-registry-creds"
}
],
"pagination": {
"page": 1,
"page_size": 25,
"total_count": 250,
"total_pages": 10
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only show subscribed charts
Example:
true
Page number
Required range:
x >= 1Example:
1
Number of items per page
Required range:
1 <= x <= 1500Example:
25